Foxit PDF RDK

Public Member Functions | List of all members
CalculateMaxSizeTask Class Reference

Represents a task for calculating the maximum size within a specified range. More...

Inheritance diagram for CalculateMaxSizeTask:

## Public Member Functions
| constructor (startIndex, endIndex, cb)
| Constructor for the CalculateMaxSizeTask class. More...
| getEndIndex ()
| Retrieves the ending index of the range for the size calculation. More...
| getStartIndex ()
| Retrieves the starting index of the range for the size calculation. More...
Public Member Functions inherited from Task
| canCancel ()
| Checks if the task can be cancelled. More...
| cancel ()
| Cancels the task. Attempts to cancel the task if it is in a cancellable state.
| constructor ()
| Constructor for the Task class. Initializes a new instance of the Task.
| errorCode ()
| Gets the error code of the task. More...
| exeSuccess ()
| Checks if the task was executed successfully. More...
| extErrorCode ()
| Gets the extended error code of the task. More...
| finish ()
| Marks the task as finished. Completes the task and performs any necessary cleanup.
| getPriority ()
| Gets the current priority of the task. More...
| getStatus ()
| Gets the current status of the task. More...
| isCanceled ()
| Checks if the task has been cancelled. More...
| isModify ()
| Checks if the task has been modified. More...
| notify (result)
| Notifies about the result of the js funcion. More...
| prepare ()
| Prepares the task for execution. Performs any necessary setup before the task can be run.
| setErrorCode (error)
| Sets the error code for the task. More...
| setPriority (priority)
| Sets the priority of the task. More...
| setStatus (status)
| Sets the status of the task. More...

## Detailed Description

Represents a task for calculating the maximum size within a specified range.

## Member Function Documentation

## ◆ constructor()

CalculateMaxSizeTask.constructor | ( | startIndex | ,
|  | endIndex | ,
|  | cb |
| ) |  |

Constructor for the CalculateMaxSizeTask class.

Parameters

  {number} | startIndex - The starting index of the range for the size calculation.
  {number} | endIndex - The ending index of the range for the size calculation.
  {CalculateMaxSizeCallback} | cb - The callback to be invoked with the result of the calculation.

## ◆ getEndIndex()

CalculateMaxSizeTask.getEndIndex | ( |  | ) |

Retrieves the ending index of the range for the size calculation.

Returns
  {number} The ending index.

## ◆ getStartIndex()

CalculateMaxSizeTask.getStartIndex | ( |  | ) |

Retrieves the starting index of the range for the size calculation.

Returns
  {number} The starting index.